<template>
  <div class="row">
    <div class="col-12">
      <div class="timeline" dir="ltr">
        <article v-for="(article, index) in articles" class="timeline-item" :class="{ 'timeline-item-left': index % 2 === 0 }">
          <div class="timeline-desk">
            <div class="timeline-box">
              <span class="arrow-alt"></span>
              <span class="timeline-icon"><i class="mdi mdi-adjust"></i></span>
              <h4 class="mt-0 font-16">{{ article.formatDateFrom() }}</h4>
              <p class="text-muted"><small>{{ article.formatDate() }}</small></p>
              <h3 class="mt-0 font-16">{{ article.title }}</h3>
              <p class="mb-0"><span v-html="article.content"></span></p>
              <img v-if="article.image" :src="article.image" height="250"/>
            </div>
          </div>
        </article>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import ArticleDashboard from "@src/models/dashboard/ArticleDashboard";

export default {
  name: "Timeline",
  mounted() {
    this.getDashboard()
  },
  data() {
    return {
      articles : []
    }
  },
  methods : {
    getDashboard : async function () {
      const response = await axios.get('api/dashboard');
      let articles = []
      for (let i = 0; i < response.data.length; i++) {
        const blogPostInfos = response.data[i]
        if(blogPostInfos._links){
          const image = await axios.get(
            blogPostInfos._links['wp:featuredmedia'][0]['href']
          )
          blogPostInfos.image = image.data.guid.rendered
          blogPostInfos.content = blogPostInfos.excerpt.rendered
          blogPostInfos.title = blogPostInfos.title.rendered
        }else{
          blogPostInfos.image = ''
        }
        console.log(blogPostInfos);
        articles.push(new ArticleDashboard(blogPostInfos))
      }
      this.articles = articles
    }
  }
}
</script>
